import 'package:flutter/material.dart';
import 'package:sport/bean/user_info.dart';
import 'package:sport/services/api/inject_api.dart';
import 'package:sport/widgets/appbar.dart';
import 'package:sport/widgets/error.dart';

class PrivateMessagePage extends StatefulWidget {
  final UserInfo user;

  PrivateMessagePage(this.user);

  @override
  State<StatefulWidget> createState() => _PageState();
}

class _PageState extends State<PrivateMessagePage> with InjectApi {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text("${widget.user.name}"),
          leading: buildBackButton(context),
        ),
        body: Container(
          width: double.infinity,
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.center,
            children: <Widget>[RequestErrorWidget(null, msg: "功能开发中")],
          ),
        ));
  }
}
